"""Layout icon enumeration."""

from enum import Enum


class Icons(Enum):
    """Layout icon enumeration."""

    NOT_FOUND_404 = "404"
    ACCRETE = "accrete"
    ARROW_DOWN = "arrow-down"
    ARROW_LEFT = "arrow-left"
    ARROW_LONG_DOWN = "arrow-long-down"
    ARROW_LONG_LEFT = "arrow-long-left"
    ARROW_LONG_RIGHT = "arrow-long-right"
    ARROW_LONG_UP = "arrow-long-up"
    ARROW_RIGHT = "arrow-right"
    BARS = "bars"
    BETWEEN = "between"
    CHECK_SMALL = "check-small"
    CHECK = "check"
    CLOCK = "clock"
    CLONE = "clone"
    CLOSE = "close"
    CLOSE_SMALL = "close-small"
    COLLAPSE = "collapse"
    COLUMN = "column"
    CROSS_ASSET = "cross-asset"
    D3 = "d3"
    DASHBOARD_LINK = "dashboard-link"
    DEFAULT_TABLE_ICON = "default-table-icon"
    DOUBLE_ARROW_DOWN = "double-arrow-down"
    DOUBLE_ARROW_LEFT = "double-arrow-left"
    DOUBLE_ARROW_RIGHT = "double-arrow-right"
    DOUBLE_ARROW_UP = "double-arrow-up"
    DRAG = "drag"
    EDIT = "edit"
    EQUAL = "equal"
    ERROR_LIGHT = "error-light"
    ERROR = "error"
    EXPAND = "expand"
    EXTERNAL_LINK = "external-link"
    FILE = "file"
    FILTER = "filter"
    GREATER_EQUAL = "greater-equal"
    GREATER_THAN = "greater-than"
    HIERARCHY = "hierarchy"
    HOME = "home"
    HOURGLASS = "hourglass"
    HOURGLASS_HD = "hourglass-hd"
    INDETERMINATE = "indeterminate"
    INDEX = "index"
    INFO = "info"
    INFO_LIGHT = "info-light"
    INFO_HELP = "info-help"
    LESS_EQUAL = "less-equal"
    LESS_THAN = "less-than"
    LOCK_HD = "lock-hd"
    LOCK = "lock"
    LOGOUT = "logout"
    MAIL = "mail"
    MINUS = "minus"
    MULTIPLE_SOURCES = "multiple-sources"
    NO_DATA = "no-data"
    PAUSE = "pause"
    PLAY = "play"
    PLUS = "plus"
    RDK = "rdk"
    REFRESH = "refresh"
    REPLAY = "replay"
    REQUEST_SELECTION = "request-selection"
    SAVE = "save"
    SCREENER = "screener"
    SEARCH = "search"
    SEARCH_BIG = "search-big"
    SP_GREY = "sp-grey"
    SP = "sp"
    STAR = "star"
    STORIES = "stories"
    TABLE = "table"
    TERMS = "terms"
    TILES = "tiles"
    TRASH = "trash"
    TRINITY = "trinity"
    UNION = "union"
    USER = "user"
    VERTICAL_DOTS = "vertical-dots"
    WATCHLIST = "watchlist"
    WIDGET_MENU = "widget-menu"
    WORLD_BANK = "world-bank"
    ZOOM = "zoom"
    SANKEY = "sankey"

    # datatype icons
    OVERVIEW = "overview"
    FLOWS = "flows"
    SENTIMENT = "sentiment"
    TRADE = "trade"
    FUNDAMENTALS = "fundamentals"
    TECHNICALS = "technicals"
    RISK_ESG = "risk_esg"
    ALL = "all"
    # datasource icons
    UBS = "ubs"
    UBS_BANKS = "banks"
    IHS_MARKIT = "ihs_markit"
    IHS_MARKIT_GREY = "ihs-markit-grey"
    S_P = "s-p"
    FACTSET = "factset"
    FACTSET_GREY = "factset-grey"
    RAVENPACK = "ravenpack"
    RAVENPACK_GREY = "ravenpack-grey"
    EPFR = "epfr"
    EPFR_GREY = "epfr-grey"
    ESTIMIZE = "estimize"
    ESTIMIZE_GREY = "estimize-grey"
    CARETTA = "caretta"
    CARETTA_GREY = "caretta-grey"
    DTCC = "dtcc"
    DTCC_GREY = "dtcc-grey"
    CFTC = "cftc"
    CFTC_GREY = "cftc-grey"
    XIGNITE = "xignite"
    XIGNITE_GREY = "xignite-grey"
    BARCHART = "barchart"
    # market icons
    COMPANY = "company"
    COUNTRY = "country"
    SECTOR = "sector"
    EQUITIES = "equities"
    FX = "fx"
    COMMODITIES = "commodities"
    FIXED_INCOME = "fixed_income"
    CRYPTO = "crypto"
    # other
    COMING_SOON = "widget-menu"  # noqa
    HIGHLIGHTS = "star"  # noqa
